%global gitrelease 20160204gitd081eaee

Name:			tsps
Version:		1.0.0
Release:		0.1.%{?gitrelease}%{?dist}
Summary:		TSP IPv6 tunnel server

Group:			Applications/Internet
License:		GPLv3+
URL:			https://github.com/cooldavid/tsps
Source0:		%{name}-%{version}-%{?gitrelease}.tar.gz
Patch0:			%{name}-1.0.0-lber.patch
Patch1:			%{name}-1.0.0-if_ether.patch

BuildRequires:	expat-devel
%if 0%{?fedora} || 0%{?rhel} > 6
BuildRequires:	mariadb-devel
%else
BuildRequires:	mysql-devel
%endif
BuildRequires:	openldap-devel
# Requires:		

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
An implementation of RFC5572, and complete auto registration framework.
Tested with gw6c and gogoc1.2 client.


%prep
%setup -q
%patch0 -p1 -b .lber
%patch1 -p1 -b .if_ether


%build
# %%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT%{_bindir}
%{__install} -p -m 0755 -t $RPM_BUILD_ROOT%{_bindir} tsps


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README TODO
%{_bindir}/%{name}


%changelog
* Sun Aug 21 2016  <jrowens@ghiapet.net> - 1.0.0-0.1.20160204gitd081eaee
- initial import & build

